---
layout: page
title:  "Powered By"
section: "poweredby"
position: 5
---

# Powered By Scalding

Want to be added to this page? Send a tweet to [@scalding](https://twitter.com/scalding) or open an issue.

| **Company** | **Scalding Use Case** | **Code** |
|:------------|:----------------------|:---------|
| <a href="https://twitter.com">Twitter</a> | We use Scalding often, for everything from custom ad targeting algorithms, market insight, click prediction, traffic quality to PageRank on the Twitter graph. We hope you will use it too! | - |
| <a href="http://www.spotify.com">Spotify</a> | We use Scalding for almost everything including music recommendation features like [Discover Weekly](https://www.spotify.com/us/discoverweekly/) & Release Radar, key business metrics, analytics and content catalogue. | - |
| <a href="http://etsy.com">Etsy</a> | We're starting to use Scalding alongside the JRuby Cascading stack described <a href="http://codeascraft.etsy.com/2010/02/24/analyzing-etsys-data-with-hadoop-and-cascading/">here</a>. More to come as we use it further. | - |
| <a href="http://www.ebay.com">eBay</a> | We use Scalding in our Search organization for ad-hoc data analysis jobs as well as more mature data pipelines that feed our production systems. | - |
| <a href="http://snowplowanalytics.com">Snowplow Analytics</a> | Our data validation & enrichment process for event analytics is built on top of Scalding. | [GitHub](https://github.com/snowplow/snowplow/tree/master/3-enrich/hadoop-etl) |
| <a href="http://prediction.io/">PredictionIO</a> | Machine-learning algorithms build on top of Scalding. | [GitHub](https://github.com/PredictionIO/PredictionIO/tree/master/process/engines) |
| <a href="http://gatling-tool.org">Gatling</a> | We've just rebuilt our reports generation module on top of Scalding. Handy API on top of an efficient engine. | [GitHub](https://github.com/gcoutant/gatling-scalding/tree/master/src/main/scala/com/excilys/ebi/gatling/scalding)
| <a href="http://www.soundcloud.com/">SoundCloud</a> | We use Scalding in our search and recommendations production pipelines to pre and post-process data for various machine learning and graph-based learning algorithms. We also use Scalding for ad-hoc and regular jobs run over production logs for things like click tracking and quality evaluation on search results and recommendations. | - |
| <a href="http://www.sonar.me/">Sonar</a> | Our platform is built on Hadoop, Scalding, Cassandra and Storm. See Sonar's <a href="http://www.sonar.me/jobs">job listings</a>. | - |
| <a href="http://www.sky.com/">BSkyB</a> | Sky is using Scalding on Hadoop and utilizing HBase through the SpyGlass library for statistical analysis , content related jobs and reporting. | - |
| [LivePerson](http://www.liveperson.com/) | LivePerson's data science group is using Scalding on Hadoop, to develop machine learning algorithms and big data analysis.  | - |
| <a href="http://www.sharethrough.com/engineering/">Sharethrough</a> | Sharethrough uses Scalding throughout our production data infrastructure. We use it for everything from advertiser reporting and ML feature engineering, to ad targeting and click forecasting. | - |
| <a href="http://data.linkedin.com/team">LinkedIn</a> | Scalding is being used at LinkedIn both at the Product Data Science team and the Email Experience team. | - |
| <a href="http://stripe.com">Stripe</a> | Stripe uses Scalding for ETL and machine learning to support our analytics and fraud prevention teams. | - |
| <a href="http://www.move.com">Move</a> | Move uses Scalding on Hadoop for advanced analytics and personalization for <a href="http://www.realtor.com/">Realtor.com</a> and its mobile real estate apps. | - |
| <a href="http://www.tapad.com">Tapad</a> | Tapad uses scalding to manage productized analytics and reporting, internal ad-hoc data mining, and to support our data science team's research and development efforts. | - |
| <a href="http://www.crowdstrike.com">CrowdStrike</a> | CrowdStrike employs Scalding in our data science and data mining pipelines as part of our big data security platforms in research, development, product and customer endpoints. We have plans to open source our Scalding API (AWS, EMR) on github. | - |
| <a href="http://www.tumblr.com">Tumblr</a> | Tumblr uses scalding as a sort of MVC framework for Hadoop.  Applications include recommendations/discovery, spam detection, and general ETL. | - |
| <a href="http://www.elance.com">Elance</a> | Elance uses scalding for constructing data sets for search ranking, recommendation systems, other modeling problems. | - |
| <a href="https://www.commbank.com.au/">Commonwealth Bank Of Australia</a> | Commbank uses scalding as a key component within its big data infrastructure. Both on the ETL side, and for the implementation of data science pipelines for building various predictive models | <a href="https://github.com/CommBank/">Github</a> |
| <a href="http://sabrelabs.com">Sabre Labs</a> | Sabre Labs uses Scalding for ETL and ad hoc data analysis of trip information. | |
| <a href="http://www.gutefrage.net">gutefrage.net</a> | gutefrage.net uses Scalding for it's Data Products and general ETL flows. | |
| <a href="http://www.mediamath.com">MediaMath</a> | MediaMath uses Scalding to power its Data Platform, the centralized data store that powers our ad hoc analytics, client log delivery and new optimization/insight-based products. | |
| <a href="http://www.thesearchparty.com/">The Search Party</a> | The Search Party is using Scalding to build production machine learning libraries for clustering, recommendation and text analysis of recruitment related data. Scalding is a breath of fresh air! | |
| <a href="http://www.opower.com/">Opower</a> | Opower uses Scalding and [KijiExpress](https://github.com/kijiproject/kiji-express) to analyze the world's energy data and extract machine learning-based insights that power behavior change.  | |
| <a href="http://www.barclays.co.uk//">Barclays</a> | Barclays uses Scalding for Data Warehousing, ETL and data tranformation into columnar (query optimized) data formats.  | |
| <a href="http://www.devsisters.com/">Devsisters</a> | Devsisters uses Scalding for game log analysis (<a href="https://github.com/twitter/scalding/issues/1264">1264</a>) | |
